[package]
name = "interim-server"
edition.workspace = true
version.workspace = true

[dependencies]
anyhow = { workspace = true }
askama = { version = "0.14.0", features = ["serde_json", "urlencode"] }
async-session = "3.0.0"
axum = { version = "0.8.1", features = ["macros", "ws"] }
axum-extra = { version = "0.10.0", features = ["cookie", "form", "typed-header"] }
chrono = { workspace = true }
clap = { version = "4.5.31", features = ["derive"] }
config = "0.14.1"
derive_builder = { workspace = true }
dotenvy = "0.15.7"
futures = { workspace = true }
headers = "0.4.1"
interim-models = { workspace = true }
interim-pgtypes = { workspace = true }
markdown = "1.0.0"
oauth2 = "4.4.2"
percent-encoding = "2.3.1"
rand = { workspace = true }
regex = { workspace = true }
reqwest = { workspace = true }
scraper = "0.24.0"
serde = { workspace = true }
serde_json = { workspace = true}
sqlx = { workspace = true }
strum = { workspace = true }
thiserror = { workspace = true }
tokio = { workspace = true }
tower = "0.5.2"
tower-http = { version = "0.6.2", features = ["compression-gzip", "fs", "normalize-path", "set-header", "trace"] }
tracing = { workspace = true }
tracing-subscriber = { version = "0.3.19", features = ["chrono", "env-filter"] }
uuid = { workspace = true }
validator = { workspace = true }
